(*
 Oukseh Lee, The LET Project, KAIST

 Copyright(c) 2000-2001 Research On Program Analysis System
 National Creative Research Initiative Center
 Korea Advanced Institute of Science & Technology
 http://ropas.kaist.ac.kr

 All rights reserved. This file is distributed under the terms of
 an Open Source License.
*)

exception Fatal_error

let toplevel_value_bindings =
  (Hashtbl.create 37 : (string, Obj.t) Hashtbl.t)

let getvalue name =
  try
    Hashtbl.find toplevel_value_bindings name
  with Not_found ->
    prerr_string ">> Fatal error: "; 
    prerr_endline (name ^ "unbound at toplevel"); 
    raise Fatal_error

let setvalue name v =
  Hashtbl.replace toplevel_value_bindings name v

